---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.

type: posts
layout: post
category: blog

title: "Quarterly Report March 2015"
permalink: /en/posts/quarterly-report-march-2015.html
date: 2015-03-05
author: >
  David A. Harding (<a href="mailto:dave@dtrt.org">email</a>, <a
  href="https://github.com/harding">GitHub</a>,
  <a href="http://www.reddit.com/user/harda/">Reddit</a>)
---

*Thanks to [our
volunteers](https://github.com/bitcoin-dot-org/bitcoin.org/graphs/contributors?from=2014-12-01&to=2015-02-28&type=c)
and the financial sponsorship of [The Bitcoin
Foundation](https://bitcoinfoundation.org/), we've made the
following accomplishments this quarter.*

Summary for December 2014, January 2015, and February 2015.

* **Quarterly page views:** [over 7 million.](https://bitcoin.org/stats/)

* **Translations:** Bitcoin.org now has fully proofread and complete
  translations for 26 languages. New and significantly-improved
  translations added this quarter include Bulgarian, Greek, Polish,
  and Turkish.

* **Developer documentation:** added 114 new or completely rewritten
  printed pages worth of text describing Bitcoin Core's RPC interface
  and 8 more pages describing its new HTTP REST interface. Bitcoin Core
  0.10.0's new headers-first sync is now documented as is the older
  blocks-first sync. Begun in the previous quarter, this quarter also
  saw the completion of over 30 printed pages worth of text describing
  the Bitcoin peer-to-peer network.

* **Contributors:** long-time site maintainer Saïvann Carignan, who has
  made [over 1,000
  commits](https://github.com/bitcoin-dot-org/bitcoin.org/commits/master?author=saivann)
  during the past two years, has announced he no longer has time to lead
  the project. A search is on for new volunteers who are willing to
  contribute to one of most trusted Bitcoin resources on the Internet.

* **Wallets:** reviewed and added three new wallets to the Choose Your
  Wallet page, and all previously-listed wallets now support HTTP Strict
  Transport Security (HSTS) for secure parts of their sites.

* **User guides:** A new guide has been published to the site providing
  detailed instructions for supporting the network by running the
  Bitcoin Core full node. The announcement of the page received over
  [200 upvotes on
  Reddit](http://www.reddit.com/r/Bitcoin/comments/2wvdko/new_page_on_bitcoinorg_running_a_full_node/).

## Translations

> "Muchas gracias por atender esto inmediatamente, ¡y por el trabajo
> realizado!" (Many thanks for doing this immediately, and for all the
> work done!) --Adamantike on Transifex.com

![Bitcoin.org available in 26 languages](/img/blog/free/translations.png)

Non-US/UK visitors accounted for 35% percent of Bitcoin.org's traffic
this quarter, about 2.5 million page views. Future translation work will
likely depend on how the English portion of the site is changed in the
coming months.

* **Newly proofread:** Bulgarian, Polish, and Turkish translations

* **FAQ translated:** the longest localized page on the site, the
  [FAQ](http://btcorg.localhost/en/faq) has now been translated into
  Polish and Turkish.

* **Newly added:** a Greek translation

* **Updated:** this quarter saw updates small and large for the
  translations to Bulgarian, Chinese (Traditional), Chinese
  (Simplified), Danish, Dutch, French, German, Greek, Hindi, Hungarian,
  Indonesian, Italian, Japanese, Korean, Persian, Polish, Portuguese,
  Romanian, Russian, Swedish, Turkish, and Ukrainian.

We are extremely grateful for all the translations contributed by
volunteers and paid translators on our [Transifex project
page](https://www.transifex.com/projects/p/bitcoinorg/) as well as the
many reviews made by Saïvann Carignan.




## Developer documentation

> "Nice work!" ---Jonas Schnelli about the new HTTP REST documentation
> ([source](https://github.com/bitcoin-dot-org/bitcoin.org/pull/720#issuecomment-71515413))

![Illustration from new headers-first documentation](/img/blog/free/en-headers-first-moving-window.png)

The three main developer documentation webpages received a total
of about 90,000 page views this quarter. Accomplishments this
quarter include:

* **RPC rewrite:** added [114 new or completely
  rewritten](https://github.com/bitcoin-dot-org/bitcoin.org/pull/693) printed
  pages worth of text describing Bitcoin Core's RPC interface and [8
  more pages](https://github.com/bitcoin-dot-org/bitcoin.org/pull/720)
  describing its new HTTP REST interface.

* **What's headers first?** Bitcoin Core 0.10.0's new
  headers-first sync [is now
  documented](https://github.com/bitcoin-dot-org/bitcoin.org/pull/736) as is
  [the older blocks-first
  sync](https://github.com/bitcoin-dot-org/bitcoin.org/pull/685).

* **P2P protocol:** begun in the previous quarter, this quarter also saw
  the [completion](https://github.com/bitcoin-dot-org/bitcoin.org/pull/657) of
  over 30 printed pages worth of text [describing the Bitcoin
  peer-to-peer network](https://bitcoin.org/en/developer-reference#p2p-network).

* **Ease contribution:** nearly every subheading [now
  includes](https://github.com/bitcoin-dot-org/bitcoin.org/pull/682) links that
  allow instant submission of corrections or reporting of issues related
  to the text.

* **Documentation is not a specification:** relaying comments frequently
  made by Bitcoin Core developers, we now make clear that the
  [documentation is not a
  specification](https://github.com/bitcoin-dot-org/bitcoin.org/pull/679)

* **Bitcoin Core 0.10.0:** many small changes were made to update the
  documentation to accurately describe Bitcoin Core 0.10.0 behavior.

Most documentation was written by David A. Harding, with reviews
conducted by Saïvann Carignan, Jonas Schnelli, and others.

## Regular Updates

> "Great!"
> "Thanks."
> "Thank you!"
> ---Users after we helped promote their Bitcoin events (sources:
> [1](https://github.com/bitcoin-dot-org/bitcoin.org/issues/702),
> [2](https://github.com/bitcoin-dot-org/bitcoin.org/issues/741),
> [3](https://github.com/bitcoin-dot-org/bitcoin.org/issues/741))

![Excerpt from the Events page map](/img/blog/free/events.png)

The English [homepage](https://bitcoin.org/en/) and [Getting
Started](https://bitcoin.org/en/getting-started) page by themselves
received over 2.0 million visits this quarter. These and other regular
content pages are often updated based on suggestions by first-time
contributors, with the bulk of updates going to the [Events
page](https://bitcoin.org/en/events) and the [Resources
page](https://bitcoin.org/en/resources) (and its many translations).

* **Update events:** listed 20 new events in addition to the events
  automatically listed by the site software.

* **Update links:** updated redirected or broken links, as well as removed
  or redirected links that point to resources our contributors no longer
  think are useful.

* **Localize links:** pointed links to relevant local resources for some
  languages.

* **Add non-profit link directory:** added the excellent non-profit link
  directory compiled by GiveBTC.org.

* **Mention innovative technology:** added the Lighthouse P2P crowdfunding
  platform to the list of innovative Bitcoin technology.

We are grateful to all of the contributors who opened issues and made
pull requests to keep the site content current and useful.

## Wallets

> "Thank you! Good catch!" ---GreenAddress on GitHub after we discovered
> a bug in the new GreenBits wallet
> ([source](https://github.com/bitcoin-dot-org/bitcoin.org/pull/725#issuecomment-73322654))

![Just some of the wallets currently listed](/img/blog/free/wallets.png)

The [Choose Your Wallet page](https://bitcoin.org/en/choose-your-wallet)
is one of our most visited pages---just the English version of the page
alone has received over 400,000 visitors this quarter.  However,
maintaining the page is also one of our most time-consuming activities due
to the number of wallet authors who want us to include their wallet on
the page.

* **New wallets:** we reviewed and added three new wallets
  [Airbitz](https://github.com/bitcoin-dot-org/bitcoin.org/pull/652),
  [Circle](https://github.com/bitcoin-dot-org/bitcoin.org/pull/697), and
  [Coinapult](https://github.com/bitcoin-dot-org/bitcoin.org/pull/577).

* **Made HSTS a requirement:** after contacting eight wallet
  providers and asking them to enable HTTP Strict Transport Security
  (HSTS) on their sites, all eight eventually agreed to use this
  simple server setting to help prevent possibly-devastating
  man-in-the-middle attacks.

* **Removed Blockchain.info:** although a very popular wallet service,
  Blockchain.info was
  [delisted](https://github.com/bitcoin-dot-org/bitcoin.org/pull/663) after a
  polite online discussion with its CEO. A period of 60 days was chosen,
  after which they may apply to be relisted.

* **Published wallet requirements:** a set of wallet requirements and
  guidelines [were
  discussed](https://github.com/bitcoin-dot-org/bitcoin.org/pull/670) and
  published, allowing wallet authors to evaluate for themselves whether
  their wallet would be a good fit for Bitcoin.org.

Saïvann Carignan spearheaded all the wallet efforts above, although we
are also grateful to the many people who commented on the wallet issues
and pull requests.

As Saïvann has become too busy to continue maintenance of the wallet
section of the site, we are actively [looking for a
volunteer](https://github.com/bitcoin-dot-org/bitcoin.org/issues/778) to take
over reviewing wallets and managing wallet requirements. This is a great
volunteer position for anyone who likes trying new wallets and who wants
to interact directly with wallet authors.



## New Full Node Guide

> "Awesome, thanks for writing this down!" ---Andreas Schildbach on
> GitHub
> ([source](https://github.com/bitcoin-dot-org/bitcoin.org/pull/711#issuecomment-70187037))

![Screenshot included in the full node guide](/img/blog/free/bitcoin-core.png)

Fulfilling a [request made by Wladimir J. van der
Laan](http://www.mail-archive.com/bitcoin-development%40lists.sourceforge.net/msg05406.html),
Bitcoin Core's lead developer, we were proud to write and publish a
[guide to running a full node](https://bitcoin.org/en/full-node) this
quarter.  The goal is to encourage users to run full nodes when possible
to support the Bitcoin network.

As of February 28th, the full node guide has been published for only
five days and has received over 4,000 page views.

* **Target multiple OSes:** initial instructions are provided for Ubuntu
  Desktop and Ubuntu Server, other Linux distributions (desktop or
  server), and Windows 7 (desktop only). New volunteers have [begun the
  process](https://github.com/bitcoin-dot-org/bitcoin.org/issues/763) of
  contributing Windows 8.1 instructions, and we are still looking for a
  Mac user to contribute OS X instructions.

* **Describe opening port 8333:** thanks to the core developers, running
  Bitcoin Core is easy. The hard part for some users is opening port
  8333, so we [provide detailed
  instructions](https://bitcoin.org/en/full-node#network-configuration)
  for just that aspect.

* **Detail risks:** feedback from a core developer encouraged us to make
  it clear that running a full node isn't always easy, so users who read
  our guide won't become demoralized and give up on running a full node
  forever the first time they encounter a problem.

* **Over 200 upvotes:** soon after release, the guide was submitted to
  Reddit where it received [over 200
  upvotes](http://www.reddit.com/r/Bitcoin/comments/2wvdko/new_page_on_bitcoinorg_running_a_full_node/)
  and a rare "98% upvoted" quality score.

The guide was primarily written by David A. Harding, with reviews by
Saïvann Carignan and Jameson Lopp, and promotion also by Jameson.

## Website Improvements

> "Confirmed it works. Thanks a lot!" --Wladimir J. van der Laan on
> GitHub about the updated Download page
> ([source](https://github.com/bitcoin-dot-org/bitcoin.org/pull/664#issuecomment-74473907))

Sometimes small tweaks to the site can have a large impact. Some of the
changes made this quarter include:

![New torrent and magnet links](/img/blog/free/torrent.png)

* **Bitcoin Core 0.10.0:** it is our privilege to help the
  core developers release new versions of Bitcoin Core by
  [updating](https://github.com/bitcoin-dot-org/bitcoin.org/pull/664) the
  [Download page](https://bitcoin.org/en/download) and the [hosted
  release notes.](https://bitcoin.org/en/version-history) For the
  0.10.0 release, we added a [torrent
  file](https://bitcoin.org/bin/bitcoin-core-0.10.0/bitcoin-0.10.0.torrent)
  and [magnet
  link](magnet:?xt=urn:btih:170c61fe09dafecfbb97cb4dccd32173383f4e68&dn=0.10.0&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.publicbt.com%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.ccc.de%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.coppersurfer.tk%3A6969&tr=udp%3A%2F%2Fopen.demonii.com%3A1337&ws=https%3A%2F%2Fbitcoin.org%2Fbin%2F)
  to help ensure availability of the files even if Bitcoin.org
  goes down.

    The new torrent has been downloaded over 900 times and there are at
    least 44 active seeders as of February 28th.

* **Image optimization:** 83 SVG images were
  [optimized,](https://github.com/bitcoin-dot-org/bitcoin.org/pull/774) saving
  over 250 KB of disk space and a significant amount of bandwidth, as
  well as helping users on slow connections read the site more quickly.

* **Release ordering:** as the core developers plan to backport the
  BIP66 changes to older versions of Bitcoin Core, we've made sure the
  release notes on the site are ordered by version number rather than
  date so that we always recommend the highest version of Bitcoin Core
  to new users.

Saïvann Carignan wrote the code to enable the torrent and magnet links
as well as sorting releases by version number. J. Louis optimized the
SVG images.

## Server And Development Tools

> "I don't know what people are complaining about... I think it's pretty
> great actually!" ---/u/itsgremlin on Reddit about Bitcoin.org in
> general
> ([source](http://www.reddit.com/r/Bitcoin/comments/2oessw/bitcoinorg_what_would_you_want_here/cmmg9r7))

![Travis CI verifying the site builds correctly](/img/blog/free/travis.png)

With 7 million page views per quarter, Bitcoin.org serves an average of
54 pages a minute---so even a single second of downtime might prevent us
from helping a Bitcoin user. This quarter we took additional steps to
ensure that the site works correctly while also attempting to make it
easier for new volunteers to contribute to keeping the site accurate and
updated.

* **Continuous integration:** each new pull request improving the site
  is now [automatically built using Travis
  CI](https://github.com/bitcoin-dot-org/bitcoin.org/pull/771), allowing
  contributors to quickly discover bugs in their code even if they don't
  compile the site themselves.

* **Troubleshooting:**
  [investigated](https://github.com/bitcoin-dot-org/bitcoin.org/issues/712) slow
  bandwidth issues with downloads.

* **Preventive maintenance:** mitigated DDoS attacks and made sure stats
  are not affected by attacks. Also set Content-Security-Policy policies
  against XSS attacks.

* **Guide volunteers:** [added a
  list](https://github.com/bitcoin-dot-org/bitcoin.org/pull/742) of [suggestions
  for new
  contributors](https://github.com/bitcoin-dot-org/bitcoin.org#how-to-participate)
  so they can dive in immediately.

* **Audits:** wrote an automated script that will send an alert when
  sensitive parts of the site are changed or when Bitcoin Core downloads
  are missing correct signatures.

Travis CI support was added by David A. Harding with advice and support
from Cory Fields, Wladimir J. van der Laan, and Pieter Wuille.
Troubleshooting was performed by Saïvann Carignan with the help of
GitHub user @patrikr, Christopher Gurnee, and David. Preventative
maintenance and audit code were contributions by Saïvann, and the
volunteer quick start guide was contributed by David.

## Public Website Statistics

> "38,135,685 page views [since January 2014]" ---[The stats
> page](https://bitcoin.org/stats/)

![stats December 2014](/img/blog/free/stats-2014-12.png)
![stats January 2015(/img/blog/free/stats-2015-01.png)
![stats February 2015](/img/blog/free/stats-2015-02.png)

## Expense Report

> "This is awesome and sorely needed. [...] Appreciate everything you do
> for the community, keep up the great work!" ---/u/wserd on Reddit
> about the new Full Node page ([source](http://www.reddit.com/r/Bitcoin/comments/2wvdko/new_page_on_bitcoinorg_running_a_full_node/cough5b))


![Expense graph](/img/blog/free/expenses.png)

| Previous balance         | 4.994 784 06 BTC
|--------------------------|-------------------
| Foundation's sponsorship | 20.779 976 01 BTC
| Website maintenance      | -5.786 595 31 BTC
| Translations 	           | -4.735 938 00 BTC
| Server hosting 	   | -4.552 368 00 BTC
| Developer documentation  | -2.614 684 15 BTC
| **New balance**          | &nbsp;8.085 174 61  BTC

## Next Quarter's Goals

> "I'm running a full node (~20 connections) with Bitcoin Core Version
> v0.10.0rc1 (64-Bit) on Windows 8.1 and willing to help out!"\
> ---Volunteer on GitHub for the Full Node page
> ([source](https://github.com/bitcoin-dot-org/bitcoin.org/issues/763))

In addition to Bitcoin.org's recurring goals, such as funding the
servers (currently about $600 USD per month), we hope to accomplish the
following three major goals during the next quarter:

1. **New wallet maintainer:** we're [seeking a
   volunteer](https://github.com/bitcoin-dot-org/bitcoin.org/issues/778) to
   review new wallets for inclusion on the Choose Your Wallet page, as
   well as to monitor existing wallets for problems and to propose new
   criteria that allow us to only recommend the very best wallets.

2. **New developer documentation:** the developer documentation is
   currently 250 printed pages long, and on May 24th it will celebrate
   its [one-year
   anniversary](https://github.com/bitcoin-dot-org/bitcoin.org/pull/393#issuecomment-44089996)
   on Bitcoin.org. In the upcoming quarter we plan to add about 50 more
   printed pages worth of content, including:

    * A [glossary/vocabulary
      page](https://groups.google.com/forum/#!topic/bitcoin-documentation/s_mL1syxYoQ)
      providing definitions for the over 150 specialized terms and
      synonyms used in Bitcoin development

    * Documentation for at least the most common op codes, and possibly
      all the enabled op codes. This section will be essentially a more
      detailed version of the [Bitcoin Wiki script
      page](https://en.bitcoin.it/wiki/Script)

    * [Improved type
      information](https://github.com/bitcoin-dot-org/bitcoin.org/pull/753) in
      the RPC and REST sections, as
      [requested](http://www.mail-archive.com/bitcoin-development@lists.sourceforge.net/msg07069.html)
      by Ocaml-Bitcoin developer Dario Teixeira.

    * Substantially revising and expanding the [current wallet
      section](https://bitcoin.org/en/developer-guide#wallets), likely
      leading to a new section focused on ECDSA keys and signatures.

    * Continuing to expand the [overview of the Bitcoin P2P
      protocol](https://bitcoin.org/en/developer-guide#p2p-network).

3. **Better volunteer resources:** we want to make it easier for
   community members to volunteer to contribute to Bitcoin.org in ways
   both small and large. New documentation about site procedures is
   forthcoming and we will be looking for other ways to encourage and
   simplify first-time contributions.

## Thanks To Sponsors And Volunteers

> "Thank you for your sponsorship and your support of our work!"
> ---Saïvann Carignan

> "The Foundation provides us a modest monthly grant so we can pay for
> servers and some other stuff, and we put their logo on the bottom of
> the page and write a quarterly report telling them what we've
> accomplished thanks to their sponsorship. Beyond that, they let us
> make our own decisions, for which independence we're quite grateful."
> ---David A. Harding on Reddit
> ([source](http://www.reddit.com/r/Bitcoin/comments/2wvdko/new_page_on_bitcoinorg_running_a_full_node/couu1cv))

We thank [The Bitcoin Foundation](https://bitcoinfoundation.org/) for
their continued financial support of the site, and extend our heartfelt
appreciation to the [15
people](https://github.com/bitcoin-dot-org/bitcoin.org/graphs/contributors?from=2014-12-01&to=2015-02-28&type=c)
who contributed commits this quarter and the much larger number of
people who provided valuable feedback in over 439 comments on pull
requests and issues.

---

*If you have any questions about the content of this report, please
[open an issue](https://github.com/bitcoin-dot-org/bitcoin.org/issues/new) on
GitHub or email Dave Harding, <dave@dtrt.org>.*
