---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.
# Text originally from Bitcoin Core project
# Metadata and small formatting changes from Bitcoin.org project

## Please see _releases/0.10.0.md for a release template
required_version: 0.6.2
optional_date: 2012-05-08
optional_title: Bitcoin-Qt version 0.6.2 released
---
Bitcoin-Qt version 0.6.2 is now available for download at:
  <http://sourceforge.net/projects/bitcoin/files/Bitcoin/bitcoin-0.6.2/>

This is a bug-fix and code-cleanup release, with no major new features.

NOTABLE CHANGES
===============

Much faster shutdowns. However, the blkindex.dat file is no longer
portable to different data directories by default. If you need a
portable blkindex.dat file then run with the new -detachdb=1 option
or the "Detach databases at shutdown" GUI preference.

Fixed <https://github.com/bitcoin/bitcoin/issues/1065>, a bug that
could cause long-running nodes to crash.

Mac and Windows binaries are compiled against OpenSSL 1.0.1b (Linux
binaries are dynamically linked to the version of OpenSSL on the system).


CHANGE SUMMARY
==============

Use `git shortlog --no-merges v0.6.0..` for a summary of this release.

Source codebase changes:
- Many source code cleanups and warnings fixes.  Close to building with -Wall
- Locking overhaul, and several minor locking fixes
- Several source code portability fixes, e.g. FreeBSD

JSON-RPC interface changes:
- addmultisigaddress enabled for mainnet (previously only enabled for testnet)

Network protocol changes:
- protocol version 60001
- added nonce value to "ping" message (BIP 31)
- added new "pong" message (BIP 31)

Backend storage changes:
- Less redundant database flushing, especially during initial block download
- Shutdown improvements (see above)

Qt user interface:
- minor URI handling improvements
- progressbar improvements
- error handling improvements (show message box rather than console exception,
  etc.)
- by popular request, make 4th bar of connection icon green



Thanks to everybody who contributed to this release:

- Chris Moore
- Dwayne C. Litzenberger
- Gavin Andresen
- Jeff Garzik
- Luke Dashjr
- Matt Corallo
- Philip Kaufmann
- Pieter Wuille
- R E Broadley
- Timothy Redaelli
- Wladimir J. van der Laan
- cardpuncher
- freewil
- graingert
- sje397
